## gkrellm-moc.tar.gz

=== Makefile ===
# gkrellm-moc: MOC plugin
# Copyright (C) 2006  Eric Cooper <ecc@cmu.edu>
# Released under the GNU General Public License

GTK_CONFIG ?= pkg-config gtk+-2.0
CFLAGS += -g -std=gnu99 -Wall -Werror -Os -fPIC $(shell $(GTK_CONFIG) --cflags)
LIBS = $(shell $(GTK_CONFIG) --libs)
LDFLAGS += -shared

all: moc.so

moc.so: plugin.o moc.o
	$(CC) -o $@ $(CFLAGS) $^ $(LDFLAGS) $(LIBS)

plugin.o moc.o: moc.h moc/

moc/:
	@echo "Please create a symbolic link \"moc\" that points to the moc source directory."
	@false

clean:
	rm -f *.o *.so *~

=== debian/changelog ===
gkrellm-moc (1.1) unstable; urgency=low

  * Use GTK stock icons for control buttons

 -- Eric Cooper <ecc@cmu.edu>  Wed, 22 Feb 2006 15:59:07 -0500

gkrellm-moc (1.0) unstable; urgency=low

  * Initial version

 -- Eric Cooper <ecc@cmu.edu>  Sat, 11 Feb 2006 12:39:44 -0500

=== debian/control ===
Source: gkrellm-moc
Section: x11
Priority: optional
Maintainer: Eric Cooper <ecc@cmu.edu>
Build-Depends: debhelper (>= 4.0), gkrellm, libgtk2.0-dev
Standards-Version: 3.6.2

Package: gkrellm-moc
Architecture: any
Depends: gkrellm (>= 2.2), moc, ${shlibs:Depends}
Description: GKrellM plugin for the MOC audio player
 A GKrellM plugin that displays the song being played by the MOC server
 and provides basic control buttons like play, pause, and stop.

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=4

#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install moc.so usr/lib/gkrellm2/plugins

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

# -*- makefile-mode -*-
